#!/bin/sh
cd 0DegFinal
surface2d surf.325000 edge1 x 1 24 2; surface2d surf.325000 convex1 x 2 23 30 2; surface2d surf.325000 concave1 x 1 21 2; surface2d surf.325000 edge2 x 1 28 2; surface2d surf.325000 convex2 x 1 22 2; surface2d surf.325000 concave2 x 2 25 31 2;
sed -i".bak" '1,10d' concave1; sed -i".bak" '1,10d' concave2; sed -i".bak" '1,10d' convex1; sed -i".bak" '1,10d' convex2; sed -i".bak" '1,10d' edge1; sed -i".bak" '1,10d' edge2
sort -nk 1 concave1 > tempConcave1; sort -nk 1 concave2 > tempConcave2; sort -nk 1 convex1 >tempConvex1; sort -nk 1 convex2 > tempConvex2; sort -nk 2 edge1 > tempEdge1; sort -nk 2 edge2 > tempEdge2
nl -ba -s '' tempConcave1 > concave1Final; nl -ba -s '' tempConvex1 > convex1Final; nl -ba -s '' tempConcave2 > concave2Final; nl -ba -s '' tempConvex2 > convex2Final; nl -ba -s '' tempEdge1 > edge1Final; nl -ba -s '' tempEdge2 > edge2Final
sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' concave1Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' convex1Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' concave2Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' convex2Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' edge1Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' edge2Final
post2d cell.325000 foil.plt
rm -f *.bak
rm -f edge1 edge2 concave1 concave2 convex1 convex2 temp*

cd ../45DegFinal
surface2d surf.325000 edge1 x 1 24 2; surface2d surf.325000 convex1 x 2 30 33 2; surface2d surf.325000 concave1 x 1 21 2; surface2d surf.325000 edge2 x 1 28 2; surface2d surf.325000 convex2 x 1 22 2; surface2d surf.325000 concave2 x 2 25 31 2;
sed -i".bak" '1,10d' concave1; sed -i".bak" '1,10d' concave2; sed -i".bak" '1,10d' convex1; sed -i".bak" '1,10d' convex2; sed -i".bak" '1,10d' edge1; sed -i".bak" '1,10d' edge2
sort -nk 1 concave1 > tempConcave1; sort -nk 1 concave2 > tempConcave2; sort -nk 1 convex1 >tempConvex1; sort -nk 1 convex2 > tempConvex2; sort -nrk 1 edge1 > tempEdge1; sort -nrk 1 edge2 > tempEdge2
nl -ba -s '' tempConcave1 > concave1Final; nl -ba -s '' tempConvex1 > convex1Final; nl -ba -s '' tempConcave2 > concave2Final; nl -ba -s '' tempConvex2 > convex2Final; nl -ba -s '' tempEdge1 > edge1Final; nl -ba -s '' tempEdge2 > edge2Final
sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' concave1Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' convex1Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' concave2Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' convex2Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' edge1Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' edge2Final
post2d cell.325000 foil.plt
rm -f *.bak
rm -f edge1 edge2 concave1 concave2 convex1 convex2 temp*

cd ../90DegFinal
surface2d surf.325000 edge1 x 1 28 2; surface2d surf.325000 convex1 x 2 25 31 2; surface2d surf.325000 concave1 x 1 22 2; surface2d surf.325000 edge2 x 1 24 2; surface2d surf.325000 convex2 x 1 21 2; surface2d surf.325000 concave2 x 2 26 30 2;
sed -i".bak" '1,10d' concave1; sed -i".bak" '1,10d' concave2; sed -i".bak" '1,10d' convex1; sed -i".bak" '1,10d' convex2; sed -i".bak" '1,10d' edge1; sed -i".bak" '1,10d' edge2
sort -nrk 2 concave1 > tempConcave1; sort -nrk 2 concave2 > tempConcave2; sort -nrk 2 convex1 >tempConvex1; sort -nrk 2 convex2 > tempConvex2; sort -nrk 1 edge1 > tempEdge1; sort -nrk 1 edge2 > tempEdge2
nl -ba -s '' tempConcave1 > concave1Final; nl -ba -s '' tempConvex1 > convex1Final; nl -ba -s '' tempConcave2 > concave2Final; nl -ba -s '' tempConvex2 > convex2Final; nl -ba -s '' tempEdge1 > edge1Final; nl -ba -s '' tempEdge2 > edge2Final
sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' concave1Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' convex1Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' concave2Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' convex2Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' edge1Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' edge2Final
post2d cell.325000 foil.plt
rm -f *.bak
rm -f edge1 edge2 concave1 concave2 convex1 convex2 temp*

cd ../135DegFinal
surface2d surf.325000 edge1 x 1 32	 2; surface2d surf.325000 convex1 x 2 30 33 2; surface2d surf.325000 concave1 x 1 21 2; surface2d surf.325000 edge2 x 1 35 2; surface2d surf.325000 convex2 x 1 22 2; surface2d surf.325000 concave2 x 2 31 25 2;
sed -i".bak" '1,10d' concave1; sed -i".bak" '1,10d' concave2; sed -i".bak" '1,10d' convex1; sed -i".bak" '1,10d' convex2; sed -i".bak" '1,10d' edge1; sed -i".bak" '1,10d' edge2
sort -nrk 2 concave1 > tempConcave1; sort -nrk 2 concave2 > tempConcave2; sort -nrk 2 convex1 >tempConvex1; sort -nrk 2 convex2 > tempConvex2; sort -nk 2 edge1 > tempEdge1; sort -nk 2 edge2 > tempEdge2
nl -ba -s '' tempConcave1 > concave1Final; nl -ba -s '' tempConvex1 > convex1Final; nl -ba -s '' tempConcave2 > concave2Final; nl -ba -s '' tempConvex2 > convex2Final; nl -ba -s '' tempEdge1 > edge1Final; nl -ba -s '' tempEdge2 > edge2Final
sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' concave1Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' convex1Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' concave2Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' convex2Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' edge1Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' edge2Final
post2d cell.325000 foil.plt
rm -f *.bak
rm -f edge1 edge2 concave1 concave2 convex1 convex2 temp*

cd ../180DegFinal
surface2d surf.325000 edge1 x 1 32	 2; surface2d surf.325000 convex1 x 2 30 33 2; surface2d surf.325000 concave1 x 1 21 2; surface2d surf.325000 edge2 x 1 35 2; surface2d surf.325000 convex2 x 1 22 2; surface2d surf.325000 concave2 x 2 31 25 2;
sed -i".bak" '1,10d' concave1; sed -i".bak" '1,10d' concave2; sed -i".bak" '1,10d' convex1; sed -i".bak" '1,10d' convex2; sed -i".bak" '1,10d' edge1; sed -i".bak" '1,10d' edge2
sort -nrk 1 concave1 > tempConcave1; sort -nrk 1 concave2 > tempConcave2; sort -nrk 1 convex1 >tempConvex1; sort -nrk 1 convex2 > tempConvex2; sort -nk 2 edge1 > tempEdge1; sort -nk 2 edge2 > tempEdge2
nl -ba -s '' tempConcave1 > concave1Final; nl -ba -s '' tempConvex1 > convex1Final; nl -ba -s '' tempConcave2 > concave2Final; nl -ba -s '' tempConvex2 > convex2Final; nl -ba -s '' tempEdge1 > edge1Final; nl -ba -s '' tempEdge2 > edge2Final
sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' concave1Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' convex1Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' concave2Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' convex2Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' edge1Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' edge2Final
post2d cell.325000 foil.plt
rm -f *.bak
rm -f edge1 edge2 concave1 concave2 convex1 convex2 temp*

cd ../225DegFinal
surface2d surf.325000 edge1 x 1 32	 2; surface2d surf.325000 convex1 x 2 30 33 2; surface2d surf.325000 concave1 x 1 21 2; surface2d surf.325000 edge2 x 1 35 2; surface2d surf.325000 convex2 x 1 22 2; surface2d surf.325000 concave2 x 2 31 25 2;
sed -i".bak" '1,10d' concave1; sed -i".bak" '1,10d' concave2; sed -i".bak" '1,10d' convex1; sed -i".bak" '1,10d' convex2; sed -i".bak" '1,10d' edge1; sed -i".bak" '1,10d' edge2
sort -nrk 1 concave1 > tempConcave1; sort -nrk 1 concave2 > tempConcave2; sort -nrk 1 convex1 >tempConvex1; sort -nrk 1 convex2 > tempConvex2; sort -nk 1 edge1 > tempEdge1; sort -nk 1 edge2 > tempEdge2
nl -ba -s '' tempConcave1 > concave1Final; nl -ba -s '' tempConvex1 > convex1Final; nl -ba -s '' tempConcave2 > concave2Final; nl -ba -s '' tempConvex2 > convex2Final; nl -ba -s '' tempEdge1 > edge1Final; nl -ba -s '' tempEdge2 > edge2Final
sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' concave1Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' convex1Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' concave2Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' convex2Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' edge1Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' edge2Final
post2d cell.325000 foil.plt
rm -f *.bak
rm -f edge1 edge2 concave1 concave2 convex1 convex2 temp*

cd ../270DegFinal
surface2d surf.325000 edge1 x 1 24 2; surface2d surf.325000 convex1 x 2 26 30 2; surface2d surf.325000 concave1 x 1 21 2; surface2d surf.325000 edge2 x 1 28 2; surface2d surf.325000 convex2 x 1 22 2; surface2d surf.325000 concave2 x 2 25 31 2;
sed -i".bak" '1,10d' concave1; sed -i".bak" '1,10d' concave2; sed -i".bak" '1,10d' convex1; sed -i".bak" '1,10d' convex2; sed -i".bak" '1,10d' edge1; sed -i".bak" '1,10d' edge2
sort -nrk 2 concave1 > tempConcave1; sort -nrk 2 concave2 > tempConcave2; sort -nrk 2 convex1 >tempConvex1; sort -nrk 2 convex2 > tempConvex2; sort -nk 1 edge1 > tempEdge1; sort -nk 1 edge2 > tempEdge2
nl -ba -s '' tempConcave1 > concave1Final; nl -ba -s '' tempConvex1 > convex1Final; nl -ba -s '' tempConcave2 > concave2Final; nl -ba -s '' tempConvex2 > convex2Final; nl -ba -s '' tempEdge1 > edge1Final; nl -ba -s '' tempEdge2 > edge2Final
sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' concave1Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' convex1Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' concave2Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' convex2Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' edge1Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' edge2Final
post2d cell.325000 foil.plt
rm -f *.bak
rm -f edge1 edge2 concave1 concave2 convex1 convex2 temp*

cd ../315DegFinal
surface2d surf.325000 edge1 x 1 24 2; surface2d surf.325000 convex1 x 2 26 30 2; surface2d surf.325000 concave1 x 1 21 2; surface2d surf.325000 edge2 x 1 28 2; surface2d surf.325000 convex2 x 1 22 2; surface2d surf.325000 concave2 x 2 25 31 2;
sed -i".bak" '1,10d' concave1; sed -i".bak" '1,10d' concave2; sed -i".bak" '1,10d' convex1; sed -i".bak" '1,10d' convex2; sed -i".bak" '1,10d' edge1; sed -i".bak" '1,10d' edge2
sort -nrk 2 concave1 > tempConcave1; sort -nrk 2 concave2 > tempConcave2; sort -nrk 2 convex1 >tempConvex1; sort -nrk 2 convex2 > tempConvex2; sort -nk 1 edge1 > tempEdge1; sort -nk 1 edge2 > tempEdge2
nl -ba -s '' tempConcave1 > concave1Final; nl -ba -s '' tempConvex1 > convex1Final; nl -ba -s '' tempConcave2 > concave2Final; nl -ba -s '' tempConvex2 > convex2Final; nl -ba -s '' tempEdge1 > edge1Final; nl -ba -s '' tempEdge2 > edge2Final
sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' concave1Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' convex1Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' concave2Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' convex2Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' edge1Final; sed -i ".bak" -e 's/^[ \t]*//' -e 's/  / /g' edge2Final
post2d cell.325000 foil.plt
rm -f *.bak
rm -f edge1 edge2 concave1 concave2 convex1 convex2 temp*