#!/bin/sh
#PBS -l select=1:ncpus=1:mpiprocs=1
#PBS -l walltime=60:00:00
#PBS -m e
#PBS -M tmr9a@virginia.edu

# Define variable for local storage on compute nodes associated with the job
cd $PBS_O_WORKDIR
LS="/jobtmp/pbstmp.$PBS_JOBID"
CWD=$(pwd)

# Copy executable (e.g. xhpl) and data files (e.g. HPL.dat) from your
# home directory to local storage on the master compute node
cd $LS
/bin/cp -r $CWD/*  .


tmpsync -scatter

source /opt/Modules/default/init/sh
module add intel

./kmSeed > output.txt