!Determines the x-coordinate value during deposition, checks for lapping around boundary, and fixes
!This subroutine leaves the x-coord unattached from the lattice, should provide for the most natural
!flight path of atoms


subroutine xVaporCalculator()

	use globalVariables
		
	integer :: i = 1
	!Calculate new x-position with fixed deltaY	
	!ACOS(0.0) evaluates to Pi, this seems like the easiest way :/
	!This formula is evaluating to far too small a value, it seems like its being passed zero *wrong*
!	print *, 'X before movement', newAtom%xVapor
	newAtom%xVapor = TAN(newAtom%thetaVapor*ACOS(0.0)/180) * deltaYGrid + newAtom%xVapor
!	print *, 'X after movement', newAtom%xVapor
	!Account for atom going out of bounds
	!We need ot account for the vapor possibly going many widths away during the first deposit
	!Execute recursively until within region
	do
		print *, 'Number of loops around', i
		if (newAtom%xVapor > substrateWidth * deltaXGrid) then
			
			newAtom%xVapor = newAtom%xVapor - substrateWidth * deltaXGrid
			
		else if (newAtom%xVapor < 0.0) then
			
			newAtom%xVapor = newAtom%xVapor + substrateWidth * deltaXGrid
		else
			exit
		end if
		i = i + 1
	enddo
!	print *, 'X Position is', newAtom%xVapor
end subroutine xVaporCalculator