%Creates IAD input files for each surface cell for multiple simulation
%orientations. Need to run waferCoordsFinder first!
function[] = IADLoopRotate(cellMin,cellMax)

j = 1;
l = 1;
%cellMin and cellMax should be vectors with values for each orientation.
%May need to come up with something to deal with non-continuous simulation
%regions.
for i = 1:8
    coords{i}(:,:) = waferCoordsFinder(['wafer', num2str((i-1)*45),'.plt']);
end
for k = cellMin(j):cellMax(j)
    
    cell = cellNumberConverter(k,0);
    for i = 1:8
        
        if i == 4 || i == 5 || i == 6 || i == 3
            reverse = 1;
        else
            reverse = 0;
        end
        coords = waferCoordsFinder(['wafer',num2str((i-1)*45),'.plt']);
%         cd([num2str(k),'-cell']);
% 
%         IADDistributionFinderEquals(coords(cell(i),1),coords(cell(i),2),['../wafer',num2str((i-1)*45),'.plt'], ['iad',num2str((i-1)*45),'Deg.in'],reverse);
%         if i == 1
%             IADDistributionFinderEquals(coords(cell(i),1),coords(cell(i),2),['../wafer',num2str((i-1)*45),'.plt'],'iad.in',reverse);
%         end
%         cd ../;
        
        cd(num2str(l));
        IADDistributionFinderEquals(coords(cell(i),1),coords(cell(i),2),['../wafer',num2str((i-1)*45),'.plt'], ['iad',num2str((i-1)*45),'Deg.in'],reverse);
        if i == 1
            IADDistributionFinderEquals(coords(cell(i),1),coords(cell(i),2),['../wafer',num2str((i-1)*45),'.plt'],'iad.in',reverse);
        end
        cd ../;
        j = j+1;
    end
    l = l+1
end