%Function to convert from local cell numbers to the overall cell numbers.
%Accepts the cell number based on the 1-180 range ( in the order of concave-1, leading-1,
%convex-1, concave-2, leading-2, convex-2) and returns the result in a
%vector with values for all 8 orientations.
function[cellLocation] = cellNumberConverter(inputCell,loadedFlag)

if loadedFlag == 0
    load('/Users/Tron/Documents/Research/cellMap.mat');
    cellLocation = cellConversion(inputCell,:);
elseif loadedFlag == 1
    load('/Users/Tron/Documents/MATLAB/cellConversionSingle.mat');
    cellLocation = cellConversionSingle(inputCell,:);
end
    


end