#!python2.7
import numpy as np
import matplotlib.pyplot as plt

gridData = np.loadtxt('grid.csv', delimiter = ',', dtype = float)
i = 0

gridFilled = gridData[:,2] == 1

plt.figure(1)

plt.scatter(gridData[gridFilled,0],gridData[gridFilled,1],s =1,c = 'k',marker ='o')
plt.xlabel('X (m)')
plt.ylabel('Y (m)') 
plt.xlim(min(gridData[:,0]), max(gridData[:,0]))
plt.ylim(min(gridData[:,1]), max(gridData[:,1]))


plt.savefig('grid.png')