!Theron Rodgers 6/8/11
!Jump probability calculator
!Returns an array of the jump probabilities for each situation
!Will be constant during each simulation, but change with temperature
!This is also a good location to set the deposition time interval
!Outdated!
subroutine jumpProbability

	use globalVariables
	
	!Set vibrationRate and Boltzmann's constant (kB) both are invarient
	real, parameter :: vibrationRate = 5.0e12
	real, parameter :: kB = 8.6173324e-5
	integer :: i, j
	
	do i = 1, 5
		do j = 1, 5
		
		probabilities(i,j) = vibrationRate*EXP(-barrier(i,j) / (kB * substrateTemperature))
		enddo
	enddo
	
end subroutine jumpProbability